Name:		chrony
Version:	2.4.1
Release:	%mkrel 1
Summary:	An NTP client/server
Group:		System/Servers
License:	GPLv2
URL:		http://chrony.tuxfamily.org
Source0:	http://download.tuxfamily.org/chrony/chrony-%{version}.tar.gz
Source1:	chrony.dhclient
Source2:	chrony.helper
Source3:	chrony-dnssrv@.service
Source4:	chrony-dnssrv@.timer

# add NTP servers from DHCP when starting service
Patch1:		chrony-service-helper.patch

BuildRequires:	libcap-devel
BuildRequires:	libedit-devel
BuildRequires:	nss-devel
BuildRequires:	seccomp-devel
BuildRequires:	bison
Requires(pre):	rpm-helper >= 0.24.8-1
Requires(post):	rpm-helper >= 0.24.8-1
Requires(postun): rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
A client/server for the Network Time Protocol, this program keeps your
computer's clock accurate. It was specially designed to support
systems with intermittent internet connections, but it also works well
in permanently connected environments. It can use also hardware reference
clocks, system real-time clock or manual input as time references.

%prep
%setup -q
%autopatch -p1

cp examples/chrony.conf.example2 chrony.conf
touch -r examples/chrony.conf.example2 chrony.conf

# regenerate the file from getdate.y
rm -f getdate.c

%build
%serverbuild
export CFLAGS="$CFLAGS -pie -fpie"
export LDFLAGS="$LDFLAGS -Wl,-z,relro,-z,now"

%configure2_5x \
	--enable-scfilter \
	--docdir=%{_docdir} \
	--with-ntp-era=$(date -d '1970-01-01 00:00:00+00:00' +'%s') \
	--with-user=chrony \
	--with-hwclockfile=%{_sysconfdir}/adjtime \
	--with-sendmail=%{_sbindir}/sendmail

%make

%install
%makeinstall_std DESTDIR=%{buildroot}

rm -rf %{buildroot}%{_docdir}

mkdir -p %{buildroot}%{_sysconfdir}/{sysconfig,logrotate.d}
mkdir -p %{buildroot}%{_localstatedir}/{lib,log}/chrony
mkdir -p %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d
mkdir -p %{buildroot}%{_sysconfdir}/dhcp/dhclient.d
mkdir -p %{buildroot}%{_libexecdir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_prefix}/lib/systemd/ntp-units.d

install -m 644 -p chrony.conf %{buildroot}%{_sysconfdir}/chrony.conf

install -m 640 -p examples/chrony.keys.example \
	%{buildroot}%{_sysconfdir}/chrony.keys
install -m 755 -p examples/chrony.nm-dispatcher \
	%{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony
install -m 755 -p %{SOURCE1} \
	%{buildroot}%{_sysconfdir}/dhcp/dhclient.d/chrony.sh
install -m 644 -p examples/chrony.logrotate \
	%{buildroot}%{_sysconfdir}/logrotate.d/chrony

install -m 644 -p examples/chronyd.service \
	%{buildroot}%{_unitdir}/chronyd.service
install -m 644 -p examples/chrony-wait.service \
	%{buildroot}%{_unitdir}/chrony-wait.service
install -m 644 -p %{SOURCE3} %{buildroot}%{_unitdir}/chrony-dnssrv@.service
install -m 644 -p %{SOURCE4} %{buildroot}%{_unitdir}/chrony-dnssrv@.timer

install -m 755 -p %{SOURCE2} %{buildroot}%{_libexecdir}/chrony-helper

touch %{buildroot}%{_localstatedir}/lib/chrony/{drift,rtc}

echo 'chronyd.service' > %{buildroot}%{_prefix}/lib/systemd/ntp-units.d/50-chronyd.list

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%post
%_post_service chronyd

%preun
%_preun_service chronyd

%postun
%_postun_userdel %{name}

%files
%doc COPYING FAQ NEWS README
%config(noreplace) %{_sysconfdir}/chrony.conf
%config(noreplace) %verify(not md5 size mtime) %attr(640,root,chrony) %{_sysconfdir}/chrony.keys
%config(noreplace) %{_sysconfdir}/logrotate.d/chrony
%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony
%{_sysconfdir}/dhcp/dhclient.d/chrony.sh
%{_bindir}/chronyc
%{_sbindir}/chronyd
%{_libexecdir}/chrony-helper
%{_prefix}/lib/systemd/ntp-units.d/*.list
%{_unitdir}/chrony*.service
%{_unitdir}/chrony*.timer
%{_mandir}/man[158]/%{name}*.[158]*
%dir %attr(-,chrony,chrony) %{_localstatedir}/lib/chrony
%ghost %attr(-,chrony,chrony) %{_localstatedir}/lib/chrony/drift
%ghost %attr(-,chrony,chrony) %{_localstatedir}/lib/chrony/rtc
%dir %attr(-,chrony,chrony) %{_localstatedir}/log/chrony


%changelog
* Mon Nov 28 2016 luigiwalser <luigiwalser> 2.4.1-1.mga6
+ Revision: 1070581
- 2.4.1
- update chrony-helper from fedora to fix rhbz#1350531 and rhbz#1374767

* Wed Aug 10 2016 luigiwalser <luigiwalser> 2.4-1.mga6
+ Revision: 1045263
- 2.4

* Fri May 06 2016 luigiwalser <luigiwalser> 2.3-1.mga6
+ Revision: 1009932
- 2.3

* Mon Jan 25 2016 luigiwalser <luigiwalser> 2.2.1-1.mga6
+ Revision: 927104
- 2.2.1 (fixes CVE-2016-1567)

* Wed Dec 30 2015 luigiwalser <luigiwalser> 2.2-1.mga6
+ Revision: 916879
- 2.2
- enable seccomp filter support

* Wed Dec 30 2015 luigiwalser <luigiwalser> 2.1.1-1.mga6
+ Revision: 916872
- 2.1.1
- sync sources with fedora, adds ability to look up ntp SRV records

* Tue Apr 07 2015 luigiwalser <luigiwalser> 1.31.1-1.mga5
+ Revision: 819851
- 1.31.1 (fixes CVE-2015-1821, CVE-2015-1822, and CVE-2015-1853)

* Sun Feb 01 2015 luigiwalser <luigiwalser> 1.31-2.mga5
+ Revision: 812965
- 1.31 (sync with fedora 21)
- add servers from DHCP with iburst option by default
- use upstream configuration files and scripts
- don't package configuration examples
- compress chrony.txt
- add patch to use system adjtimex headers to cope with kernel changes

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sat Aug 23 2014 luigiwalser <luigiwalser> 1.30-1.mga5
+ Revision: 666924
- 1.30
- add patch from fedora, reconnect client sockets (rhbz#1124059)

* Wed Feb 05 2014 luigiwalser <luigiwalser> 1.29.1-1.mga5
+ Revision: 583683
- 1.29.1 (fixes CVE-2014-0021)
- add ordering dependency to not start chronyd before ntpd stopped (fedora)
- let systemd remove pid file (rhbz#974305)

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.29-1.mga4
+ Revision: 472352
- add /lib/systemd/system/ntp-units.d/50-chrony.list
- adapt to mageia
- sync some bits from fedora
- imported package chrony

